Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io.file
Class ConnectionClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.siemens.icm.io.file.ConnectionClosedException

public class ConnectionClosedException
extends RuntimeException

Represents an exception thrown when a method is invoked on a file connection but the method cannot be completed because the connection is closed.

Since:
  FileConnection 1.0

Constructor Summary
`ConnectionClosedException()` Constructs a new instance of this class with its stack trace filled in.
`ConnectionClosedException(String detailMessage)` Constructs a new instance of this class with its stack trace and message filled in.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionClosedException

    public ConnectionClosedException()

  Constructs a new instance of this class with its stack trace filled in.

### ConnectionClosedException

    public ConnectionClosedException(String detailMessage)

  Constructs a new instance of this class with its stack trace and message filled in.

Parameters:
  `detailMessage` - String The detail message for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.